<script>
    export default {
        props: [
            'dataId',
            'dataLabelOn',
            'dataLabelOff',
            'dataIsChecked',
            'dataUrl'
        ],
        data() {
            return {
                labelOn: this.dataLabelOn,
                labelOff: this.dataLabelOff,
                id: 'bt-one-toggle' +this.dataId
            }
        },
        mounted() {
            // this.isChecked()
            this.changeStatus(this.dataUrl)
        },
        methods: {
            isChecked() {
                if(this.dataIsChecked) {
                    $('#' + this.id).attr('checked');
                }
            },

            changeStatus(url) {
                $('#' + this.id).change(function() {
                     axios.post(url, {
                        '_method': 'PATCH'
                     })
                    .then(response => {
                        Vue.toasted.show(response.data.message, {
                            icon: {
                                name: 'thumbs-up',
                                after: false
                            },
                            className: "bg-success",
                            duration: 3000,
                            theme: "primary",
                            position: "bottom-right"
                        })
                    })
                    .catch(error => {
                        console.log(error);
                        Vue.toasted.show(Vue.prototype.jsTrans('flash.update_error'), {
                            icon: {
                                name: 'thumbs-up',
                                after: false
                            },
                            className: "bg-danger",
                            theme: "primary",
                            position: "bottom-right",
                            duration: 3000
                        });
                    });
                })
            }
        }
    }
</script>

<template src="./onOffCheckbox.html"></template>